OB2FPS(1)

NAME
ob2fps - ob2fps

DESCRIPTION
usage: ob2fps [-h] [--FP2 | --FP3 | --FP4 | --MACCS | --substruct | --rdmaccs]

    [--id-tag NAME] [--in FORMAT] [-o FILENAME] [--errors {strict,report,ignore}] [filenames [filenames ...]]

Generate FPS fingerprints from a structure file using OpenBabel

  positional arguments:

filenames
    input structure files (default is stdin)

  optional arguments:

-h, --help
    show this help message and exit

--FP2

--FP3

--FP4

--MACCS

--substruct
    generate ChemFP substructure fingerprints

--rdmaccs
    generate 166 bit RDKit/MACCS fingerprints

--id-tag NAME
    tag name containing the record id (SD files only)

--in FORMAT
    input structure format (default autodetects from the filename extension)

-o FILENAME, --output FILENAME
    save the fingerprints to FILENAME (default=stdout)

--errors {strict,report,ignore}
    how should structure parse errors be handled? (default=strict)